;================================================================================
;
;CONSOLE DISPLAY CONTROL STRINGS
;
dc_bf    bf                    ;enable reverse foreground
         .byte 0
;
dc_bg    bg                    ;select graphics mode
         .byte 0
;
dc_bs    bs                    ;destructive backspace
         .byte 0
;
dc_cl    cl                    ;clear to end of line 
         .byte 0
;
dc_cn    cn                    ;cursor on
         .byte 0
;
dc_co    co                    ;cursor off
         .byte 0
;
dc_er    er                    ;enable normal foreground
         .byte 0
;
dc_eg    eg                    ;select text mode
         .byte 0
;
dc_lf    lf                    ;newline
         .byte 0
;
dc_cs    cs                    ;clear screen & home cursor
         .byte 0
;
dc_plot  .byte a_esc,"="       ;cursor positioning preamble
         .byte 0
;
;================================================================================
;
;CONSOLE BOX GRAPHICS DRAWING
;
dc_g0    g0                    ;horizontal line
         .byte 0
;
dc_g1    g1                    ;vertical line
         .byte 0
;
dc_g2    g2                    ;top left corner
         .byte 0
;
dc_g3    g3                    ;top right corner
         .byte 0
;
dc_g4    g4                    ;bottom left corner
         .byte 0
;
dc_g5    g5                    ;bottom right corner
         .byte 0
;
dc_g6    g6                    ;left tee (connects right)
         .byte 0
;
dc_g7    g7                    ;right tee (connects left)
         .byte 0
;
dc_g8    g8                    ;bottom tee (connects up)
         .byte 0
;
dc_g9    g9                    ;top tee (connects down)
         .byte 0
;
dc_ga    ga                    ;four-way connect
         .byte 0
;
dc_gb    gb                    ;solid block
         .byte 0
;
dc_gc    gc                    ;dark hash block
         .byte 0
;
dc_gd    gd                    ;light hash block
         .byte 0
;
dc_ge    ge                    ;double vertical line
         .byte 0
;
dc_gf    gf                    ;double horizontal line
         .byte 0
;
;================================================================================
;
;SYSTEM INITIALIZATION TEXT STRINGS
;
;
;	terminal initialization sequence...
;
si_tmint .byte a_esc,a_quo     ;unlock keyboard
         co                    ;cursor off
         .byte a_esc,"^0"      ;normal video
         .byte a_esc,"`:"      ;select 80 cols
         .byte a_esc,"e("      ;select 24 rows
         .byte a_esc,"e1"      ;char attribute mode
         .byte a_esc,"("       ;write-protect off
         spcs                  ;select primary char set
         cs                    ;clear screen & home cursor
         dn                    ;display on
         .byte 0
;
;
;	POST banner...
;
si_bannr cpos 2,1              ;@(2,1)
         .byte "* * * POC SINGLE BOARD COMPUTER * * *"
         cpos 9,2              ;@(9,2)
         .byte "BCS Technology Limited"
         cpos 9,3              ;@(9,3)
         .byte "128KB Static RAM System"
         cpos 4,5              ;@(4,5)
         .byte "Main Processor  : WDC 65C816S"
         cpos 4,6              ;@(4,6)
         .byte "Hardware Version: "
         hardvers
         .byte " ("
         hwdate                ;hardware date
         .byte ")"
         cpos 0,versrow        ;@(0,23) (version row)
;
;
;	copyright & firmware version info...
;
si_vers  .byte "Copyright (C)1991-"
         copyyear
         .byte " "
         bg                    ;horizontal line
         .byte t_hline,t_hline
         eg
         .byte " Firmware "
         softvers
         .byte "  ROM ID "
         romsnum
         .byte 0
;
si_clver cpos 0,versrow        ;@(0,23)
         cl
         cpos 0,rowtitle
         .byte 0
;
si_memt  cpos 2,memctrow       ;@(2,memctrow)
         .byte "Sizing memory:"
         cpos 23,memctrow      ;@(23,memctrow)
         .byte "Bytes"
         .byte 0
;
si_noos  lf
         lf
         .byte "disk not bootable"
         .byte 0
;
si_ramer rb                    ;terminal bell
         cpos 0,12             ;@(0,12)
         .byte "Bad RAM"
         .byte 0
;
si_vline .byte t_vline,a_bs,a_lf,0
;
	.end
