;================================================================================
;
;CONSOLE CONTROL MACROS  ANSI
;
	.include "..\include\ascii.asm" ;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
_anscsi_ .macro                ;control sequence introducer
         .byte a_esc,"["
         .endm
;
;
;	clearing data...
;
bs       .macro                ;destructive backspace
         .byte a_bs
         _anscsi_
         .byte "1P"
         .endm
;
ce       .macro                ;clear to end of screen
         _anscsi_
         .byte "0J"
         .endm
;
cf       .macro                ;clear entire foreground
         _anscsi_
         .byte "?2J"
         .endm
;
cl       .macro                ;clear to end of line 
         _anscsi_
         .byte "0K"
         .endm
;
cs       .macro                ;clear entire screen
         _anscsi_
         .byte "2J"
         _anscsi_
         .byte ";H"
         .endm
;
;
;	cursor control...
;
cpos     .macro .x,.y          ;position cursor at binary col,row
         _anscsi_
.x1      = .x | $30
.y1      = .y | $30
         .byte .y1+1,";",.x1+1,"H"
         .endm

ch       .macro                ;home cursor
         _anscsi_
         .byte ";H"
         .endm
;
cn       .macro                ;cursor on
         _anscsi_
         .byte "25h"
         .endm
;
co       .macro                ;cursor off
         _anscsi_
         .byte "25l"
         .endm
;
cr       .macro                ;carriage return
         .byte a_cr
         .endm
;
cu       .macro                ;reverse linefeed
         _anscsi_
         .byte "1A"
         .endm
;
lf       .macro                ;carriage return/line feed
         cr
         .byte a_lf
         .endm
;
;
;	display attributes...
;
bf       .macro                ;reverse foreground
         _anscsi_
         .byte "1;7m"
         .endm
;
br       .macro                ;reverse background
         _anscsi_
         .byte "2;7m"
         .endm
;
er       .macro                ;cancel reverse
         _anscsi_
         .byte "m"
         .endm
;
sb       .macro                ;normal background
         _anscsi_
         .byte "2m"
         .endm

sf       .macro                ;set foreground
         _anscsi_
         .byte "1m"
         .endm
;
;
;	display editing...
;
dc       .macro                ;delete character
         _anscsi_
         .byte "1P"
         .endm
;
ic       .macro                ;insert character
         .byte "1@"
         .endm
;
ld       .macro                ;delete line
         _anscsi_
         .byte "1M"
         .endm
;
li       .macro                ;insert line
         _anscsi_
         .byte "1L"
         .endm
;
;
;	box graphics characters...
;
g0       .macro                ;horizontal line
         .byte $12
         .endm
;
g1       .macro                ;vertical line
         .byte $19
         .endm
;
g2       .macro                ;top left corner
         .byte $0d
         .endm
;
g3       .macro                ;top right corner
         .byte $0c
         .endm
;
g4       .macro                ;bottom left corner
         .byte $0e
         .endm
;
g5       .macro                ;bottom right corner
         .byte $0b
         .endm
;
g6       .macro                ;left tee |
         .byte $15
         .endm
;
g7       .macro                ;right tee |
         .byte $16
         .endm
;
g8       .macro                ;bottom tee
         .byte $17
         .endm
;
g9       .macro                ;top tee
         .byte $18
         .endm
;
ga       .macro                ;four-way connect |
         .byte $0f
         .endm
;
gb       .macro                ;solid block
         _anscsi_
         .byte "7m "
         _anscsi_
         .byte "0m"
         .endm
;
gc       .macro                ;dark hash block
         .byte $02
         .endm
;
gd       .macro                ;light hash block
         .byte $02
         .endm
;
ge       .macro                ;double vertical line
         .endm
;
gf       .macro                ;double horizontal line
         .endm
;
;
;	miscellaneous control...
;
bg       .macro                ;enable graphics mode
         .byte a_esc,"H",a_stx
         .endm
;
dn       .macro                ;display on
         .byte a_esc,"`9"
         .endm
;
do       .macro                ;display off
         .byte a_esc,"`8"
         .endm
;
eg       .macro                ;enable text mode
         .byte a_esc,"H",a_etx
         .endm
;
rb       .macro                ;ring bell
         .byte a_bel
         .endm
;
	*=$2000
         cpos 4,0	



	.end
