;	        COMMENT ABBREVIATIONS
;	
;	 ACIA   asynchronous communication interface adapter
;	  BAM   block allocation bitmap
;	  BCD   binary-coded decimal
;	  BIN   binary
;	 BOIB   byte offset in block
;	 BOIF   byte offset in file
;	 BIOS   basic input/output subsystem
;	  BRG   baud rate generator
;	  C/T   counter/timer
;	  CD    compact disk
;	  CDA   compact disk drive
;	  CDB   SCSI command descriptor block
;	  CTS   TIA-232 clear to send
;	  DMA   direct memory access
;	  DSR   TIA-232 data set ready
;	  DTR   TIA-232 data terminal ready
;	DUART   dual ACIA or dual UART
;	  EOF   end-of-field
;	  EOI   end-of-input
;	  EOM   end-of-medium
;	  EOR   end-of-record
;	  EOT   end-of-text (not same as ASCII <EOT>)
;	   FS   filesystem (not same as ASCII <FS>)
;	  HBA   SCSI host bus adapter
;	  HDA   hard disk drive
;	   HZ   frequency in Hertz
;	  IAM   inode allocation bitmap
;	 IBAT   inode block address table
;	  ISL   initial system load
;	  LBA   logical block address (SCSI term)
;	  LBO   logical block offset
;	  LSB   least significant byte/bit
;	  LSD   least significant digit
;	 LSDW   least significant double word
;	  LSN   least significant nybble
;	  LSW   least significant word
;	  LUN   SCSI logical unit number
;	  MFU   major phuque-up
;	 MLBO   modified logical block offset
;	  MPU   microprocessor
;	  MSB   most significant byte/bit
;	  MSD   most significant digit
;	 MSDW   most significant double word
;	  MSN   most significant nybble
;	  MSW   most significant word
;	NVRAM   non-volatile RAM
;	   OS   operating system
;	  OSL   operating system load
;	  RAM   random access memory
;	  RHR   DUART receiver holding register
;	  RTC   real-time clock (see also WDT)
;	  RTS   TIA-232 request to send
;	  RxD   DUART data receive(r)
;	 SCSI   small computer system interface
;	 SDID   SCSI device bus ID
;	  TAM   BAM tag block bitmap
;	  TDA   magnetic tape drive
;	  THR   DUART transmitter holding register
;	  TxD   DUART data transmit(ter)
;	   TZ   time zone
;	 UART   universal asynchronous receiver/transmitter
;	  UTC   Zulu or coordinated universal time
;	  WDT   watchdog timer (see also RTC)
;	   WS   whitespace, e.g., blanks & horizontal tabs
;	   ZP   page zero or direct page
;	
;	A data word is defined as 16 bits.
;
;	        MPU REGISTER SYMBOLS
;	
;	   .A   accumulator LSB
;	   .B   accumulator MSB
;	   .C   carry flag or 16 bit accumulator
;	   .D   decimal mode flag
;	   .I   IRQ disable flag
;	   .m   accumulator & memory size flag
;	   .N   result negative flag
;	   .V   sign overflow flag
;	   .X   X-index
;	   .x   index size flag
;	   .Y   Y-index
;	   .Z   result zero flag
;	   DB   data bank
;	   DP   direct page
;	   PB   program bank (A16-A23)
;	   PC   program counter (A0-A15)
;	   PCH  program counter MSB (A8-A15)
;	   PCL  program counter LSB (A0-A7)
;	   SP   stack pointer
;	   SR   MPU status
;	
;
	.end