;================================================================================
;
;W65C816S INSTRUCTION MACROS
;
         .if !.ref(_asm24_)    ;if macros haven't been defined...
;
_asm24_  .macro .ad
         .byte <.ad,>.ad,.ad >> 16
         .endm
;
pel      .macro .op            ;PEL <operand>
         .byte $f4
         .word .op >> 16
         .byte $f4
         .word .op & $ffff
         .endm
;
longa    .macro                ;16 bit accumulator & memory
         rep #%00100000
         .endm
;
longr    .macro                ;16 bit all registers
         rep #%00110000
         .endm
;
longx    .macro                ;16 bit index registers
         rep #%00010000
         .endm
;
shorta   .macro                ;8 bit accumulator & memory
         sep #%00100000
         .endm
;
shortr   .macro                ;8 bit all registers
         sep #%00110000
         .endm
;
shortx   .macro                ;8 bit index registers
         sep #%00010000
         .endm
;
bsr      .macro .sr            ;BSR <addr>
.mib     =$82
.mip     =$62
.na      =*+3
.ra      .set .na+2
.ba      =.ra+1
.ra      .set .ra-.na
.ta      .set .sr-.ba
         .byte .mip,<.ra,>.ra,.mib,<.ta,>.ta
         .endm
;
xxy      .macro                   ;exchange .X with .Y
         .byte $da,$bb,$7a
         .endm
;
xyx      .macro                   ;exchange .Y with .X
         .byte $5a,$9b,$fa
         .endm
;
int      .macro .op            ;INT <int_num>
         .if .op > $ff
             .error "MACRO ERROR: "+%0$+": INTERRUPT NUMBER OUT OF RANGE"
         .endif
         .byte $00,.op
         .endm
;
;	TRAP supervisor call, similar to the TRAP 68K instruction...
;
trap     .macro .op            ;TRAP <int_num>
         .if .op > $7f
             .error "MACRO ERROR: "+%0$+": TRAP NUMBER OUT OF RANGE"
         .endif
         .byte cop #.op
         .endm
;
         .endif
	.end