;================================================================================
;
;STANDARD ASCII DEFINITIONS (ASCII menmonic order)
;
a_ack    =$06                  ;<ACK> acknowledge
a_bel    =$07                  ;<BEL> alert/ring bell
a_bs     =$08                  ;<BS>  backspace
a_can    =$18                  ;<CAN> cancel
a_cr     =$0d                  ;<CR>  carriage return
a_dc1    =$11                  ;<DC1> device control #1 (XON)
a_dc2    =$12                  ;<DC2> device control #2
a_dc3    =$13                  ;<DC3> device control #3 (XOFF)
a_dc4    =$14                  ;<DC4> device control #4
a_del    =$7f                  ;<DEL> delete
a_dle    =$10                  ;<DLE> data link escape
a_em     =$19                  ;<EM>  end of message
a_enq    =$05                  ;<ENQ> enquiry
a_eot    =$04                  ;<EOT> end of transmission
a_esc    =$1b                  ;<ESC> escape
a_etb    =$17                  ;<ETB> end of transmitted block
a_etx    =$03                  ;<ETX> end of data
a_ff     =$0c                  ;<FF>  form feed
a_fs     =$1c                  ;<FS>  field separator
a_gs     =$1d                  ;<GS>  group separator
a_ht     =$09                  ;<HT>  horizontal tabulation
a_lf     =$0a                  ;<LF>  linefeed
a_nak    =$15                  ;<NAK> negative acknowledge
a_nul    =$00                  ;<NUL> null
a_rs     =$1e                  ;<RS>  record separator
a_si     =$0f                  ;<SO>  shift in
a_so     =$0e                  ;<SO>  shift out
a_soh    =$01                  ;<SOH> start of header
a_stx    =$02                  ;<STX> start of data
a_sub    =$1a                  ;<SUB> substitute
a_syn    =$16                  ;<SYN> synchronous idle
a_us     =$1f                  ;<US>  unit separator
a_vt     =$0b                  ;<VT>  vertical tabulation
;
;
;	miscellaneous (description order)...
;
a_apost  ='''                  ;apostrophe
a_binnum ='0'                  ;binary to numeral mask
a_blank  =' '                  ;blank (whitespace)
a_asclch ='z'                  ;end of lowercase ASCII
a_ascuch ='Z'                  ;end of uppercase ASCII
a_lctouc =$5f                  ;LC to UC conversion mask
a_numbin =$0f                  ;numeral to binary mask
a_quo    ='"'                  ;quotation mark
a_asclcl ='a'                  ;start of lowercase ASCII
a_ascucl ='A'                  ;start of uppercase ASCII
a_uctolc =$20                  ;UC to LC conversion mask
;
	.end