;================================================================================
;
;KERNEL ABSOLUTE RAM DEFINITIONS
;
ivectors =absolute             ;indirect vectors
scsiwspc =ivectors+s_vecspc    ;SCSI workspace
;
hwstack  =mm_io-s_byte         ;top of hardware stack
hwstackb =hwstack-s_hstack     ;bottom of hardware stack
siobufs  =hwstackb-s_siospc    ;SIO queues
;
;================================================================================
;
;INDIRECT VECTORS
;
ivabort  =ivectors             ;abort interrupt
ivbrk    =ivabort+s_ptr        ;software interrupt
ivcop    =ivbrk+s_ptr          ;coprocessor interrupt
ivirq    =ivcop+s_ptr          ;maskable interrupt
ivnmi    =ivirq+s_ptr          ;non-maskable interrupt
ivscsi   =ivnmi+s_ptr          ;SCSI driver dispatch
ivmoncmd =ivscsi+s_ptr         ;monitor command
ivspare  =ivmoncmd+s_ptr       ;spare (unassigned)
;
;================================================================================
;
;SCSI ABSOLUTE RAM DEFINITIONS
;
scdevtab =scsiwspc             ;active device table
scmiswrk =scdevtab+s_sd_tab    ;temporary workspace
scsimesg =scmiswrk+s_miswrk    ;message workspace
;
;================================================================================
;
;MACHINE LANGUAGE MONITOR ABSOLUTE RAM DEFINITIONS
;
ibuffer  =rambot               ;input buffer
auxbuf   =ibuffer+s_ibuf+1     ;auxiliary buffer
;
;================================================================================
;
;I/O DEVICE SELECTION DEFINITIONS
;
io_a     =mm_io                ;device A select
io_b     =io_a+s_iodev         ;device B select
io_c     =io_b+s_iodev         ;device C select
io_d     =io_c+s_iodev         ;device D select
io_e     =io_d+s_iodev         ;device E select
io_f     =io_e+s_iodev         ;device F select
io_g     =io_f+s_iodev         ;device G select
io_h     =io_g+s_iodev         ;device H select
;
;================================================================================
;
;I/O DEVICE HARDWARE ASSIGNMENTS
;
io_sioa  =io_a                 ;DUART #1
io_siob  =io_b                 ;DUART #2
io_sioq  =io_c                 ;vQUART IRQ status
io_rtc   =io_d                 ;RTC
io_scsi  =io_e                 ;SCSI PIO port
io_scsid =io_f                 ;SCSI DMA port
io_scsiq =io_g                 ;SCSI DMA handshake
;
io_quart =io_sioa              ;start of virtual QUART
;
	.end