;================================================================================
;
;GLOBAL ATOMIC CONSTANTS
;
;
;	sizze-of definitions...
;
s_byte   =1                    ;byte
s_word   =2                    ;word (16 bits)
s_xword  =3                    ;extended word (24 bits)
s_dword  =4                    ;double word (32 bits)
s_xdword =6                    ;extended double word (48 bits)
s_lword  =8                    ;long word (64 bits)
s_rampag =$0100                ;65xx RAM page
s_short  =1                    ;short
s_int    =2                    ;integer
s_long   =4                    ;long
s_dlong  =8                    ;double long
;
;
;	data type sizes in bits...
;
s_bbyte  =8                    ;byte
s_bnybbl =s_bbyte/2            ;nybble
s_bword  =s_word*s_bbyte       ;word
s_bxword =s_xword*s_bbyte      ;extended word
s_bdword =s_dword*s_bbyte      ;double word
s_blword =s_lword*s_bbyte      ;long word
;
;
;	derivations...
;
s_ptr    =s_word               ;16-bit pointer
s_xptr   =s_xword              ;24-bit pointer
s_dptr   =s_dword              ;32-bit pointer
s_ramblk =s_rampag*16          ;RAM block
;
;
;	shifts required for powers-of-2 (see also SHIFTFAC macro)...
;
ex2_x1   =1                    ;2^1  (2)
ex2_x2   =2                    ;2^2  (4)
ex2_x3   =3                    ;2^3  (8)
ex2_x4   =4                    ;2^4  (16)
ex2_x5   =5                    ;2^5  (32)
ex2_x6   =6                    ;2^6  (64)
ex2_x7   =7                    ;2^7  (128)
ex2_x8   =8                    ;2^8  (256)
ex2_x9   =9                    ;2^9  (512)
ex2_x10  =10                   ;2^10 (1024)
ex2_x11  =11                   ;2^11 (2048)
ex2_x12  =12                   ;2^12 (4096)
ex2_x13  =13                   ;2^13 (8192)
ex2_x14  =14                   ;2^14 (16384)
ex2_x15  =15                   ;2^15 (32768)
ex2_x16  =16                   ;2^16 (65536)
;
;
;	miscellaneous...
;
bitabs   =$2c                  ;absolute BIT opcode
bitzp    =$24                  ;zero page BIT opcode
;
	.end