;================================================================================
;
;W65C816S REGISTER DEFINITIONS
;
s_mpudbx =s_byte               ;DB size
s_mpudpx =s_word               ;DP size
s_mpupbx =s_byte               ;PB size
s_mpupcx =s_word               ;PC size
s_mpuspx =s_word               ;SP size
s_mpusrx =s_byte               ;SR size
;
;
;	status register flags...
;
sr_car   =@00000001            ;C
sr_bdm   =@00001000            ;D
sr_irq   =@00000100            ;I
sr_amw   =@00100000            ;m
sr_neg   =@10000000            ;N
sr_ovl   =@01000000            ;V
sr_ixw   =@00010000            ;x
sr_zer   =@00000010            ;Z
;
;	NVmxDIZC
;	xxxxxxxx
;	||||||||
;	|||||||+> 1 = carry set/generated
;	||||||+> 1 = result = zero
;	|||||+> 1 = IRQ disabled
;	||||+> 0 = binary arithmetic mode
;	||||         1 = decimal arithmetic mode
;	|||+> 0 = 16 bit index
;	|||          1 = 8 bit index
;	||+> 0 = 16 bit .A & memory
;	||           1 = 8 bit .A & memory
;	|+> 1 = sign overflow
;	+> 1 = result = negative
;
;
;	inverted status register flags...
;
sr_car_i =sr_car ^ @11111111   ;C
sr_bdm_i =sr_bdm ^ @11111111   ;D
sr_irq_i =sr_irq ^ @11111111   ;I
sr_amw_i =sr_amw ^ @11111111   ;m
sr_neg_i =sr_neg ^ @11111111   ;N
sr_ovl_i =sr_ovl ^ @11111111   ;V
sr_ixw_i =sr_ixw ^ @11111111   ;x
sr_zer_i =sr_zer ^ @11111111   ;Z
;
	.end