;===============================================================================
;
;INTERRUPT SERVICE ROUTINE STACK FRAME DEFINITIONS
;
;
;	abort...
;
abt_yrx  =1                    ;.Y
abt_xrx  =abt_yrx+s_word       ;.X
abt_arx  =abt_xrx+s_word       ;.C
abt_dpx  =abt_arx+s_word       ;DP
abt_dbx  =abt_dpx+s_mpudpx     ;DB
abt_srx  =abt_dbx+s_mpudbx     ;SR
abt_pcx  =abt_srx+s_mpusrx     ;PC
abt_pbx  =abt_pcx+s_mpupcx     ;PB
;
;
;	break...
;
brk_yrx  =1                    ;.Y
brk_xrx  =brk_yrx+s_word       ;.X
brk_arx  =brk_xrx+s_word       ;.A
brk_dpx  =brk_arx+s_word       ;DP
brk_dbx  =brk_dpx+s_mpudpx     ;DB
brk_srx  =brk_dbx+s_mpudbx     ;SR
brk_pcx  =brk_srx+s_mpusrx     ;PC
brk_pbx  =brk_pcx+s_mpupcx     ;PB
;
;
;	coprocessor...
;
cop_yrx  =1                    ;.Y
cop_xrx  =cop_yrx+s_word       ;.X
cop_arx  =cop_xrx+s_word       ;.C
cop_dpx  =cop_arx+s_word       ;DP
cop_dbx  =cop_dpx+s_mpudpx     ;DB
cop_srx  =cop_dbx+s_mpudbx     ;SR
cop_pcx  =cop_srx+s_mpusrx     ;PC
cop_pbx  =cop_pcx+s_mpupcx     ;PB
;
;
;	maskable interrupt...
;
irq_yrx  =1                    ;.Y
irq_xrx  =irq_yrx+s_word       ;.X
irq_arx  =irq_xrx+s_word       ;.C
irq_dpx  =irq_arx+s_word       ;DP
irq_dbx  =irq_dpx+s_mpudpx     ;DB
irq_srx  =irq_dbx+s_mpudbx     ;SR
irq_pcx  =irq_srx+s_mpusrx     ;PC
irq_pbx  =irq_pcx+s_mpupcx     ;PB
;
;
;	nonmaskable interrupt...
;
nmi_yrx  =1                    ;.Y
nmi_xrx  =nmi_yrx+s_word       ;.X
nmi_arx  =nmi_xrx+s_word       ;.C
nmi_dpx  =nmi_arx+s_word       ;DP
nmi_dbx  =nmi_dpx+s_mpudpx     ;DB
nmi_srx  =nmi_dbx+s_mpudbx     ;SR
nmi_pcx  =nmi_srx+s_mpusrx     ;PC
nmi_pbx  =nmi_pcx+s_mpupcx     ;PB
;
;===============================================================================
;
;API FUNCTION STACK FRAME
;
api_rts  =1                    ;return
api_yrx  =api_rts+s_mpupcx     ;.Y
api_xrx  =api_yrx+s_word       ;.X
api_arx  =api_xrx+s_word       ;.C
api_dpx  =api_arx+s_word       ;DP
api_dbx  =api_dpx+s_mpudpx     ;DB
api_srx  =api_dbx+s_mpudbx     ;SR
api_pcx  =api_srx+s_mpusrx     ;PC
api_pbx  =api_pcx+s_mpupcx     ;PB
;
;===============================================================================
;
;KERNEL SIO CONSTANTS
;
n_siobuf =n_nxpchn*2           ;total circular queues
n_siobix =2                    ;indices per queue
s_siobuf =64                   ;queue size...
;
;	
;	The queue size must be an integral power of 2,
;	not to exceed 256 bytes.  The minimum should be
;	64 bytes.  If less than 256 the M_SIOPTR mask
;	must be defined to a value compatible with the
;	queue size, usually S_SIOBUF-1. 
;	
;
m_sioptr =s_siobuf-1           ;queue pointer mask
s_siospc =s_siobuf*n_siobuf    ;required queue space
;
;
;	SIO channel indices...
;
nxpchana =0                    ;A
nxpchanb =nxpchana+1           ;B
nxpchanc =nxpchanb+1           ;C
nxpchand =nxpchanc+1           ;D
nxpchane =nxpchand+1           ;E
nxpchanf =nxpchane+1           ;F
nxpchang =nxpchanf+1           ;G
nxpchanh =nxpchang+1           ;H
;
;
;	console channel...
;
conschan =nxpchana             ;SIO port 0
;
;===============================================================================
;
;WY60/150/160/GPT TERMINAL DISPLAY CONTROL CONSTANTS  Description Order
;
t_cpbase =' '                  ;cursor positioning base char
t_blcorn ='1'                  ;graphic bottom left corner
t_brcorn ='5'                  ;graphic bottom right corner
t_hline  =':'                  ;graphic horizontal line char
t_conctl ='4'                  ;graphic left connector
t_conctr ='9'                  ;graphic right connector
t_tlcorn ='2'                  ;graphic top left corner
t_trcorn ='3'                  ;graphic top right corner
t_vline  ='6'                  ;graphic vertical line char
;
;===============================================================================
;
;POWER-ON SELF-TEST DISPLAY CONSTANTS
;
memctcol =17                   ;memory count display column
memctrow =9                    ;memory count display row
versrow  =23                   ;BIOS version display row
;
;
;	POST banner graphics details...
;
postrecx =0                    ;rectangle left column
postrecy =0                    ;rectangle top row
postsepx =0                    ;rectangle separator line col
postsepy =4                    ;rectangle separator line row
postxdim =41                   ;rectangle width
postydim =8                    ;rectangle height
psghllen =postxdim-2           ;rectangle separator line length
;
	.end