;================================================================================
;
;MISCELLANEOUS MACROS
;
;
;	draw graphic horizontal line on console...
;
drawhlin .macro .l             ;drawhlin <cols>
         sep @00100000
         lda #.l
         jsr linehg
         .endm
;
;
;	draw graphic rectangle on console...
;
drawrect .macro .w,.h,.c,.r    ;drawrect <width>,<height>,<col>,<row>
         pushparm .w,.h,.c,.r
         jsr drawrect
         .endm
;
;
;	draw graphic vertical line on console...
;
drawvlin .macro .l             ;drawvlin <rows>
         sep @00100000
         lda #.l
         jsr linevg
         .endm
;
;
;	generate 32 bit (DWORD) value...
;
dwordgen .macro .op
         .word .op & $ffff,.op >> 16
         .endm
;
;
;	load DP/absolute .X/.Y with LSW/MSW...
;
lxy32    .macro .op
         ldx .op
         ldy .op+2
         .endm
;
;
;	load immediate .X/.Y with LSW/MSW...
lxyi32   .macro .op
         ldxw .op & $ffff
         ldyw .op >> 16
         .endm
;
;
;	position console cursor...
;
plot     .macro .c,.r
         ldx #.c
         ldy #.r
         jsr plot
         .endm
;
;
;	print character string to console...
;
printf   .macro .s
         pushparm .s & $ffff,.s >> 16
         jsr sprint
         .endm
;
;
;	generate stack frame from words...
;
pushparm .macro ...
         .if %0
.i           .set 0
             .rept %0
.i               .= .i+1
                 .byte $f4,<%.i,>%.i
             .endr
         .else
             .error "error: macro syntax: "+%0$+" parm1[,parm2[,parm2]] ..."
         .endif
         .endm
;
;
;	store .X/.Y LSW/MSW...
;
sxy32    .macro .op
         stx .op
         sty .op+2
         .endm
;
;
;	execute multiple WAIts...
;
softwait .macro .op
         .if %0
             .rept %1
                 .byte opc_wai
             .endr
         .else
             .error "error: macro syntax: "+%0$+" count"
         .endif
         .endm
;
	.end