;================================================================================
;
;LOCAL MACROS
;
;
;	decrement .X multiple times...
;
decx     .macro .n             ;decx <amount>
         .if .n
             .rept .n
                 dex
             .endr
         .else
             .error ""+@0$+": decrement amount must be non-zero"
	.endif
         .endm
;
;
;	decrement .Y multiple times...
;
decy     .macro .n             ;decy <amount>
         .if .n
             .rept .n
                 dey
             .endr
         .else
             .error ""+@0$+": decrement amount must be non-zero"
	.endif
         .endm
;
;
;	draw graphic horizontal line on console...
;
drawhlin .macro .l             ;drawhlin <cols>
         sep #%00100000
         lda #.l
         jsr linehg
         .endm
;
;
;	draw graphic rectangle on console...
;
drawrect .macro .w,.h,.c,.r    ;drawrect <width>,<height>,<col>,<row>
         pushparm .w,.h,.c,.r
         jsr drawrect
         .endm
;
;
;	draw graphic vertical line on console...
;
drawvlin .macro .l             ;drawvlin <rows>
         sep #%00100000
         lda #.l
         jsr linevg
         .endm
;
;
;	generate 32 bit (DWORD) value...
;
dwordgen .macro .op
         .word .op & $ffff,.op >> 16
         .endm
;
;
;	increment .X multiple times...
;
incx     .macro .n             ;incx <amount>
         .if .n
             .rept .n
                 inx
             .endr
         .else
             .error ""+@0$+": increment amount must be non-zero"
	.endif
         .endm
;
;
;	increment .Y multiple times...
;
incy     .macro .n             ;incy <amount>
         .if .n
             .rept .n
                 iny
             .endr
         .else
             .error ""+@0$+": increment amount must be non-zero"
	.endif
         .endm
;
;
;	load DP/absolute .X/.Y with LSW/MSW...
;
lxy32    .macro .op
         ldx .op
         ldy .op+s_word
         .endm
;
;
;	load immediate .X/.Y with LSW/MSW...
lxyi32   .macro .op
         ldx !#.op & $ffff
         ldy !#.op >> 16
         .endm
;
;
;	position console cursor...
;
plot     .macro .c,.r
         ldx #.c
         ldy #.r
         jsr plot
         .endm
;
;
;	print character string to console...
;
printf   .macro .s
         pea #.s
         jsr sprint
         .endm
;
;
;	generate stack frame...
;
pushparm .macro ...
         .if @0
.i           .set 0
             .rept @0
.i               .= .i+1
                 pea #@.i
             .endr
         .else
             .error "error: macro syntax: "+@0$+" parm1[,parm2[,parm2]] ..."
         .endif
         .endm
;
;
;	store .X/.Y LSW/MSW...
;
sxy32    .macro .op
         stx .op
         sty .op+s_word
         .endm
;
	.end