;===============================================================================
;
;SCSI ERROR CODE TRANSLATION DATA
;
;	
;	This file should be INCLUDEd in any program that needs to map SCSI sub-
;	system error codes to equivalent text messages.  The following example
;	code displays a message on the console via the STRPRN string library
;	function that will correspond to the error code returned in .A by the
;	SCSICMD driver primitive in the BIOS:
;
;	         ldx #0                ;starting index
;
;	.0000010 cmp ssserrno,x        ;search table for code
;	         beq .0000020          ;found
;
;	         inx
;	         cpx #n_ssserr         ;checked all known codes?
;	         bcc .0000010          ;no
;
;	.0000020 txa                   ;key index
;	         asl                   ;now offset
;	         tax
;	         longa
;	         lda ssserrtx,x        ;get text pointer
;	         pha                   ;push it &...
;	         jsr strprn            ;print error message
;
;	Note that "include\scsi\keys_driver.65s" must be INCLUDEd in the program
;	to define the error code values.
;	
;
ssserrno .byte ed_abort        ;aborted transaction
         .byte ed_check        ;check condition
         .byte ed_cntrl        ;HBA error
         .byte ed_devid        ;invalid SCSI ID (range)
         .byte ed_devne        ;device not enumerated
         .byte ed_devnp        ;device not present
         .byte ed_fifo         ;FIFO count error
         .byte ed_ilcmd        ;illegal controller command
         .byte ed_okay         ;no error
         .byte ed_reset        ;unexpected bus reset
         .byte ed_usfun        ;unsupported driver function
         .byte ed_usgrp        ;unsupported command group
         .byte ed_usphs        ;unsupported bus phase
n_ssserr =*-ssserrno
;
ssserrtx .word tx_abort        ;aborted transaction
         .word tx_check        ;check condition
         .word tx_cntrl        ;HBA error
         .word tx_devid        ;invalid SCSI ID (range)
         .word tx_devne        ;device not enumerated
         .word tx_devnp        ;device not present
         .word tx_fifo         ;FIFO count error
         .word tx_ilcmd        ;illegal controller command
         .word tx_okay         ;no error
         .word tx_reset        ;unexpected bus reset
         .word tx_usfun        ;unsupported driver function
         .word tx_usgrp        ;unsupported command group
         .word tx_usphs        ;unsupported bus phase
         .word tx_undef        ;undefined error
;
tx_abort .byte "aborted transaction",0
tx_check .byte "check condition",0
tx_usphs .byte "unexpected bus phase",0
tx_devid .byte "device ID not valid",0
tx_devne .byte "device not enumerated",0
tx_devnp .byte "device not present",0
tx_usgrp .byte "illegal command group",0
tx_usfun .byte "unsupported function",0
tx_fifo  .byte "bad FIFO count",0
tx_cntrl .byte "hardware failure",0
tx_ilcmd .byte "illegal command",0
tx_reset .byte "unexpected bus reset",0
tx_okay  .byte "okay",0
tx_undef .byte "??????",0
;
	.end
