;================================================================================
;
;POC V1 BIOS ROM JUMP TABLE
;
;	
;	Applications requiring BIOS API services must utilize this jump table.
;	All functions are subroutines that must be called with JSR.
;
;	WARNING: DO NOT EDIT THIS TABLE!
;	
;
getcha   =$00e000              ;read from TIA-232 channel A
getchb   =$00e003              ;read from TIA-232 channel B
putcha   =$00e006              ;write to TIA-232 channel A
putchb   =$00e009              ;write to TIA-232 channel B
chanbctl =$00e00c              ;disable/enable TIA-232 channel B
getdtr   =$00e00f              ;read date & time from RTC
getnvr   =$00e012              ;read data from NVRAM
getuxtim =$00e015              ;get UNIX time
getsutim =$00e018              ;get system up time
hrst     =$00e01b              ;restart system (soft reset)
mon      =$00e01e              ;enter machine language monitor
plot     =$00e021              ;position console cursor
putdtr   =$00e024              ;write date & time to RTC
putnvr   =$00e027              ;write data to NVRAM
scsicmd  =$00e02a              ;execute SCSI command
scsihaid =$00e02d              ;get SCSI host adapter bus ID
scsiinit =$00e030              ;initialize SCSI subsystem
scsiparm =$00e033              ;get SCSI device parameters
setuxtim =$00e036              ;set UNIX time
utdelay  =$00e039              ;generate time delay
;
;================================================================================
;
;DEFAULT DIRECT PAGE BASE ADDRESS
;
;	
;	WARNING: DO NOT EDIT THESE DEFINITIONS!
;	
;
dzpage   =$80
kerneldp =$00
;
;================================================================================
;
;DEFAULT HARDWARE STACK LOCATION
;
;	
;	Applications wishing to reset the stack pointer to the  default
;	should use this definition.  Future architectural revisions may
;	result in this location being moved.   The top of the stack may
;	also be changed when an operating system is loaded.  User-writ-
;	ten applications  should  not set the stack pointer higher than
;	this definition, as doing so will overwrite the TIA-232 buffers
;	or I/O hardware.
;
;	WARNING: DO NOT EDIT THIS DEFINITION!
;	
;
dstkptr  =$00cbff
;
;================================================================================
;
;DEFAULT APPLICATION LOAD ADDRESS
;
;	
;	WARNING: DO NOT EDIT THIS DEFINITION!
;	
;
dloadadr =$000400
;
	.end
