;================================================================================
;
;POC V1 BIOS ROM JUMP TABLE
;
;	
;	Applications requiring BIOS services must utilize
;	this jump table.  All functions are subroutines.
;
;	WARNING: DO NOT EDIT THIS TABLE!
;	
;
getcha   =$00e000              ;read from TIA-232 channel A
getchb   =$00e003              ;read from TIA-232 channel B
putcha   =$00e006              ;write to TIA-232 channel A
putchb   =$00e009              ;write to TIA-232 channel B
constime =$00e00c              ;set console clock
getdtr   =$00e00f              ;read date & time from RTC
getnvr   =$00e012              ;read data from NVRAM
getutim  =$00e015              ;read system up time
hrst     =$00e018              ;restart system (soft reset)
mon      =$00e01b              ;enter machine language monitor
plot     =$00e01e              ;position console cursor
putdtr   =$00e021              ;write date & time to RTC
putnvr   =$00e024              ;write data to NVRAM
scsicmd  =$00e027              ;execute SCSI command
scsiinit =$00e02a              ;initialize SCSI subsystem
scsiparm =$00e02d              ;get SCSI device parameters
utdelay  =$00e030              ;generate user-defined time delay
chanbctl =$00e033              ;disable/enable TIA-232 channel B
;
;================================================================================
;
;DEFAULT HARDWARE STACK LOCATION
;
;	
;	Applications wishing to reset the stack pointer to the  default
;	should use this definition.  Future architectural revisions may
;	result in this location being moved.   The top of the stack may
;	also be changed when an operating system is loaded.  User-writ-
;	ten applications  should  not set the stack pointer higher than
;	this definition, as doing so will overwrite the TIA-232 buffers
;	or I/O hardware.
;
;	WARNING: DO NOT EDIT!
;	
;
dstkptr  =$00cdff
;
;================================================================================
;
;DEFAULT APPLICATION LOAD ADDRESS
;
;	
;	WARNING: DO NOT EDIT THIS DEFINITION!
;	
;
dloadadr =$000400
;
	.end
