;================================================================================
;
;53CF94 SCSI CONTROLLER CONFIGURATION CONSTANTS
;
sr_clkhz =20000000             ;controller clock frequency (Hz)...
;
;	
;	SR_CLKHZ may range from 10,000,000 to 25,000,000 & must match the
;	frequency of the clock generator installed in the host adapter.
;	
;
         .if sr_clkhz < 10000000 || sr_clkhz > 25000000
           .error "Invalid 53C94 clock frequency"
         .endif
         .if sr_clkhz < 25000001 && sr_clkhz > 20000000
sr_clkfp =@101
         .endif
         .if sr_clkhz < 20000001 && sr_clkhz > 15000000
sr_clkfp =@100
         .endif
         .if sr_clkhz < 15000001 && sr_clkhz > 10000000
sr_clkfp =@011
         .endif
         .if sr_clkhz < 10000001         
sr_clkfp =@010         
         .endif
;
k_temp   =sr_clkhz/2000
n_temp   =k_temp*scsiselt
d_temp   =sr_clkfp*8192
sr_toutp =n_temp/d_temp        ;selection timeout factor
;
sr_cr1p  =@01010000 | scsiid94 ;control register #1...
;
;	01010111
;	 | | |||
;	 | | +++> HBA SCSI ID (determined by SCSIID94)
;	 | +> parity error reporting enabled
;	 +> disable bus reset IRQ
;
sr_cr2p  =@00001100            ;control register #2...
;
;	00000011
;	      ||
;	      |+> abort on parity error
;	      +> enable SCSI-2 features
;
sr_cr3p  =@00000000            ;control register #3
sr_ftmp  =@00000000            ;forced test modes off
;
;================================================================================
;
;53C94 SCSI CONTROLLER REGISTER & CONTROL MASKS
;
c94isfct =@00011111            ;FIFO count
c94issqc =@00000100            ;command sequence completed
c94isrst =@00000111            ;state bits
;
;
;	interrupt status...
;
c94sel   =@00000001            ;selected
c94sela  =@00000010            ;selected w/ATN
c94resel =@00000100            ;reselected
c94so    =@00001000            ;successful operation
c94sr    =@00010000            ;service request
c94dis   =@00100000            ;disconnected
c94icmd  =@01000000            ;invalid command
c94reset =@10000000            ;bus reset
c94srso  =c94sr | c94so        ;service request/success
;
;
;	general status...
;
c94phasd =@00000110            ;data-in/out phase test
c94phase =@00000111            ;bus phase
c94gcv   =@00001000            ;group code valid
c94ctz   =@00010000            ;transfer count = 0
c94pe    =@00100000            ;bus parity error
c94ioe   =@01000000            ;illegal operation
c94int   =@10000000            ;'C94 interrupting
c94srall =c94int ^ @11111111   ;all bits but IRQ
c94srsts =@01111000            ;status bits only
;
;
;	miscellaneous...
;
c94irqge =@01000000            ;gross error flag bit
c94irqsf =@10000000            ;general purpose flag bit
;
	.end
