;================================================================================
;
;PHILIPS/NXP MULTIPLE UART COMMON DEFINITIONS
;
n_nxpblk =2                    ;blocks in UART
n_nxpcpb =2                    ;channels per block
n_nxpchn  =n_nxpcpb*n_nxpblk   ;channels in UART
s_nxpchn  =8                   ;channel spacing in block
s_nxpblk =s_nxpchn*n_nxpcpb    ;size of block
;
;
;	channel status analysis masks...
;
nxprxdr  =%00000001            ;RxD: FIFO not empty
nxprxdf  =%00000010            ;RxD: FIFO full
nxptxdr  =%00000100            ;TxD: FIFO not full
nxptxdur =%00001000            ;TxD: FIFO empty
nxprxdor =%00010000            ;RxD: FIFO overrun
nxpparer =%00100000            ;RxD: parity error
nxpfrmer =%01000000            ;RxD: framing error
nxpbreak =%10000000            ;RxD: break
;
;
;	interrupt status analysis masks...
;
nxpatirq =%00000001            ;ch A: TxD
nxparirq =%00000010            ;ch A: RxD
nxpabirq =%00000100            ;ch A: break change
nxpctirq =%00001000            ;C/T: underflow
nxpbtirq =%00010000            ;ch B: TxD
nxpbrirq =%00100000            ;ch B: RxD
nxpbbirq =%01000000            ;ch B: break change
nxpipirq =%10000000            ;input port change
;
	.end