;================================================================================
;
;BIOS/KERNEL DIRECT PAGE STORAGE
;
kerneldp =zeropage             ;kernel's notion of direct page
;
;
;	vQUART channel block & pointer allocation...	
;
s_nxpchp =s_ptr*n_nxpchn       ;channel
s_nxpbkp =s_ptr*n_nxpblk       ;block
;
;
;	counters & timers...
;
jiffct   =kerneldp             ;jiffy counter
uptime   =jiffct+s_byte        ;uptime counter (seconds)
uxtime   =uptime+s_utcnt       ;UNIX time (seconds)
tdjiffct =uxtime+s_time_t      ;sleep jiffy counter
tdsecct  =tdjiffct+s_byte      ;sleep time (seconds)
;
;
;	TIA-232 driver workspace...
;
tiazpptr =tdsecct+s_tdcnt      ;start of pointer array
tiasr    =tiazpptr             ;vQUART channel status
tiacr    =tiasr+s_nxpchp       ;vQUART channel command
tiafif   =tiacr+s_nxpchp       ;vQUART channel FIFO
tiagetrx =tiafif+s_nxpchp      ;RxD queue 'get'
tiaputrx =tiagetrx+s_nxpchp    ;RxD queue 'put'
tiagettx =tiaputrx+s_nxpchp    ;TxD queue 'get'
tiaputtx =tiagettx+s_nxpchp    ;TxD queue 'put'
tiatxst  =tiaputtx+s_nxpchp    ;TxD status (bit field)
tiairqst =tiatxst+s_byte       ;vQUART IRQ status workspace
;
zeropage .= tiairqst+s_byte    ;*** BIOS/kernel direct page end ***
;
	.end