;================================================================================
;
;NON-VOLATILE RAM OFFSETS
;
nvrcksum =$00                  ;content checksum (DWORD)
nvrsnum  =nvrchsum+s_dword     ;system serial number...
;
;	$xx $xx $xxxx
;	 ||  ||  ||||
;	 ||  ||  ++++> unique serial number ($0001-$FFFE)
;	 ||  ++> build year (e.g., $0A = 2010)
;	 ++> base RAM: 00:  128K
;	                            01:  256K
;	                            02:  512K
;	                            10: 4096K
;	
nvrtzoff =nvrcksum+s_word      ;timezone data...
;
;	xx0xxxxx
;	|| |||||
;	|| +++++> offset relative to UTC ($00-$12)
;	|+> 0: DST does not apply
;	|            1: DST applies
;	+> 0: locale at or east of UTC
;	             1: locale west of UTC
;
;	
;	DST flag is not used by the BIOS but can
;	be checked by the operating system.
;	
;
nvrbpscp =nvrtzoff+s_byte      ;console port BPS rate...
;
;	
;	$00    9600
;	$01   19200
;	$02   38400
;	$03  115200
;	
;
nvrbpsap =nvrbpscp+s_byte      ;auxiliary port BPS rate...
;
;	
;	$00    9600
;	$01   19200
;	$02   38400
;	$03  115200
;	
;
nvrsbdid =nvrbpsap+s_byte      ;boot device...
;
;	0xxx0xxx
;	 ||| |||
;	 ||| +++> SCSI ID
;	 +++> SCSI LUN
;
nvrsbvbb =nvrsbdid+s_byte      ;valid boot block signature...
;
;	The boot block signature is this version is $A106,
;	which is the ASCII characters "BCS" in a 2-for-3
;	compressed format.
;
	.end
