	.opt swapbin
;================================================================================
;
;SCSI SUBSYSTEM ATOMIC CONSTANTS
;
;
;	"number of" constants...
;
n_grpshf =5                    ;opcode group field shifts
n_lbabg0 =21                   ;bits in group 0 LBA
n_lbabg2 =32                   ;bits in group 2 LBA
n_lunshf =5                    ;LUN field shifts
n_phases =8                    ;SCSI bus phases
n_scsiid =8                    ;recognized SCSI IDs
n_scsilu =8                    ;recognized SCSI LUNs
;
;
;	"size of" constants...
;
s_cdbg0  =6                    ;group 0 CDB
s_cdbg1  =10                   ;group 1 CDB
s_cdbg2  =10                   ;group 2 CDB
s_cdbg4  =16                   ;group 4 CDB
s_cdbg5  =12                   ;group 5 CDB
s_mesg   =1                    ;message
s_mesgws =8                    ;message workspace
s_sspid  =16                   ;product ID field
s_reqsen =18                   ;request sense data
s_revsn  =4                    ;product revision field
s_sernm  =8                    ;product serial number field
s_stat   =1                    ;status
s_vendr  =8                    ;vendor ID field
s_inqry  =s_vendr+s_sspid+s_revsn+s_sernm
s_miswrk =s_inqry              ;enumeration & inquiry workspace
;
;
;	SCSI bus phases...
;
ssphasdo =%000                 ;data out
ssphasdi =%001                 ;data in
ssphascm =%010                 ;command
ssphasst =%011                 ;status
ssphasra =%100                 ;reserved
ssphasrb =%101                 ;reserved
ssphasmo =%110                 ;message out
ssphasmi =%111                 ;message in
;
;
;	bus control constants...
;
scsiid94 =7                    ;host adapter SCSI ID
scsirdly =5                    ;bus reset recovery time (sec)
scsiselt =250                  ;selection timeout (msec)
;
;
;	miscellaneous...
;
lbamsw32 =%1000000000000000000000 >> s_bword ;...
;
;	
;	LBA32MSW is used during SCSI enumeration to determine if a SCSI device
;	recognizes 32 bit block addressing.  If the MSW of the device's capac-
;	ity as returned by the "read capacity" command is greater than 21 bits
;	then the device will be flagged as 32 bit LBA capable.
;	
;
lun      =0                    ;default logical unit
scsitrct =10                   ;enumeration test ready attempts
scsitrtd =2                    ;test ready attempt spacing (secs)
;
	.end