;================================================================================
;
;LOGGED SCSI DEVICES TABLE
;
;                  
;  slot offset > $00  $01  $02  $03  $04  $05  $06  $07
;                  
;                   |    |    ^^    ^^
;                   |    |        capacity         block
;                   |    |                         size
;                   |    +> type
;                   +> flag
;
;
;	field sizes (description order)...
;
s_sdbsiz =s_word               ;block size
s_sdflag =s_byte               ;flag
s_sdcap  =s_dword              ;capacity in blocks
s_sdtype =s_byte               ;type
;
;
;	slot & table sizes...
;
sdslotex =ex2_x3               ;slot size computation factor...
;
;	
;	SDSLOTEX is used to atomically define the size of the device table slot
;	so bit shifts can be used to compute a slot address for a SCSI ID.  The
;	above definition should be changed with caution.  See additional notes
;	in the SSLOTADR function.
;	
;
s_sdslot =1 << sdslotex        ;slot
s_sd_tab =s_sdslot*n_scsiid    ;table
;
;
;	field offsets...
;
o_sdflag =0                    ;device flag...
;
;	xx000xxx
;	||   |||
;	||   +++> ANSI version
;	|+> 1: supports sync transfer
;	+> 1: device enumerated
;
o_sdtype =o_sdflag+s_sdflag    ;device type...
;
;	x00xxxxx
;	|  |||||
;	|  +++++> ANSI device type
;	+> 1: device recognizes 32 bit LBAs
;
o_sdcap  =o_sdtype+s_sdtype    ;capacity in blocks
o_sdbsiz =o_sdcap+s_sdcap      ;block size
;
	.end