;===============================================================================
;
;MASTER BOOT BLOCK LAYOUT
;
;	               FIELD               Offset in Block
;	+================================+ 
;	|  master boot code (914 bytes)  |
;	++ $006E (mb_code)
;	|  filesystem table  (90 bytes)  |
;	++ $0014 (mb_fstab)
;	|          volume  name          |
;	++ $000C (mb_magic)
;	|  master boot record timestamp  |
;	++ $0006 (mb_utime)
;	|    boot block magic number     |
;	++ $0002 (mb_magic)
;	| master boot code start address |
;	+================================+ $0000 (mb_jaddr)
;
;
;	filesystem table slot structure...
;
ft_flag =0                    ;status flag...
;
;	xx000000
;	||
;	|+> 0: filesystem is read only
;	|            1: filesystem is read/write
;	+> 0: slot is unused
;	             1: slot points to active filesystem
;
ft_nused =ft_flag  +s_fsflag   ;unused field
ft_magic =ft_nused +s_byte     ;magic number
ft_fsnam =ft_magic +s_fsmag    ;name
ft_sblba =ft_fsnam +s_fsnam    ;starting LBA
ft_pblks =ft_sblba +s_lba      ;total physical blocks
;
s_fsslot =ft_pblks +s_pblks    ;table slot size
;
;
;	filesystem table structure...
;
ft_nfs   =0                    ;number of active entries
ft_slotx =ft_nfs   +s_byte     ;lowest unused slot index
ft_slota =ft_slotx +s_byte     ;slot array
ft_slotp =s_fsslot *m_fsdisk   ;slot array size
s_fstab  =ft_slota +ft_slotp   ;table size
;
;
;	boot block structure...
;
mb_jaddr =0                    ;MB code JuMP address
mb_magic =mb_jaddr +s_ptr      ;MBR magic number
mb_utime =mb_magic +s_islmag   ;MBR timestamp
mb_volum =mb_utime +s_time_t   ;volume name
mb_fstab =mb_volum +s_volnam   ;filesystem table
mb_code  =mb_fstab +s_fstab    ;master boot code
s_mbcode =s_mboot  -mb_code    ;master boot code space
;
	.end