;================================================================================
;
;chanbctl: TIA-232 CHANNEL B RECEIVER CONTROL
;
;	
;	Preparatory Ops : see programming example
;
;	Register Returns: .A: used
;	                  .B: entry value
;	                  .X: entry value
;	                  .Y: entry value
;	                  DB: entry value
;	                  DP: entry value
;	                  PB: entry value
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           |||||||+> entry value
;	           ||||||+> 0
;	           |||+++> entry values
;	           ||+> 1
;	           |+> entry value
;	           +> undefined
;
;	Examples: clc              ;disable
;	          jsr chanbctl
;
;	          sec              ;enable
;	          jsr chanbctl
;	
;
chanbctl shorta
         bcc disabchb          ;disable
;
;================================================================================
;
;enabchb: ENABLE DUART CHANNEL B RECEIVER
;
enabchb  lda #nxpcrrsa|nxpcrrxe ;assert RTS & enable RxD
         .byte bitabs
;
;================================================================================
;
;disabchb: DISABLE DUART CHANNEL B RECEIVER
;
disabchb lda #nxpcrrsd|nxpcrrxd ;disable RxD & deassert RTS
;
;================================================================================
;
;chbctl: DUART CHANNEL B CONTROL
;
chbctl   sta io_acia+nx_crb    ;write to command register
         .rept 2               ;DUART reaction delay
           wai
         .endr
         rts
;
;================================================================================
;
;setautoi: SET UP RTC NVRAM AUTOINCREMENT
;
setautoi lda #d11aimsk
         tsb io_rtc+wr_crb     ;enable NVRAM autoincrement
         rts
;
	.end
