;================================================================================
;
;MACHINE LANGUAGE MONITOR  EXECUTE CODE
;
;	
;	syntax: G [<addr>]
;
;	If no address is specified, the current values in the PB & PC
;	shadow registers are used.
;	
;
monjmp   jsr setxaddr          ;set execution address
         bcs monjmpab          ;out of range  error
;
         jsr getparm           ;check for excess input
         bcc monjmpab          ;too much input  error
;
         longa                 ;16 bit .A
         lda reg_spx
         tcs                   ;restore SP
;
monjmpaa ldx reg_dbx
         phx
         plb                   ;restore DB
         ldx reg_pbx
         phx                   ;restore PB
         lda reg_pcx
         pha                   ;restore PC
         ldx reg_srx
         phx                   ;restore SR
         lda reg_dpx
         pha                   ;DP to stack
         longx
         lda reg_ax            ;restore .C, ...
         ldx reg_xx            ;.X &...
         ldy reg_yx            ;.Y
         pld                   ;restore DP &...
         rti                   ;execute code
;
monjmpab jmp monerr            ;error
;
;================================================================================
;
;MACHINE LANGUAGE MONITOR  EXECUTE CODE AS SUBROUTINE
;
;	
;	syntax: J [<addr>]
;
;	If no address is specified the current values in the PB & PC
;	shadow registers are used.   An RTS at the end of the called
;	subroutine will return control to the monitor  provided  the
;	stack remains in balance.
;	
;
monjsr   jsr setxaddr          ;set execution address
         bcs monjmpab          ;out of range  error
;
         jsr getparm           ;check for excess input
         bcc monjmpab          ;too much input  error
;
         longa
         lda reg_spx
         tcs                   ;restore SP &...
         jsr monjmpaa          ;call subroutine
         php                   ;push SR
         longr
         sta reg_ax            ;save...
         stx reg_xx            ;register...
         sty reg_yx            ;returns
         shortx                ;8 bit .X & .Y
         plx                   ;get & save...
         stx reg_srx           ;return SR
         tsc                   ;get & save...
         sta reg_spx           ;return SP
         tdc                   ;get & save...
         sta reg_dpx           ;ZP pointer
         shorta                ;8 bit .A
         phk                   ;get &...
         pla                   ;save...
         sta reg_pbx           ;return PB
         phb                   ;get &...
         pla                   ;save...
         sta reg_dbx           ;return DB
         pea #mm_rts           ;"*RET"
         jmp moncom            ;return to monitor
;
	.end
