;================================================================================
;
;anlyzcap: analyze SCSI device capacity
;
;	
;	Preparatory Ops : SCSI work area loaded with
;	                  device capacity parameters.
;	                  SCSIDIDX = device table slot
;
;	Register Returns: .A: used
;	                  .B: used
;	                  .X: entry value
;	                  .Y: used
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           ||||++++> undefined
;	           |||+> 1
;	           ||+> 1
;	           ++> undefined
;	
;
anlyzcap longa
         lda scmiswrk+rc_lbahi ;maximum LBA MSW
         xba                   ;reverse endianess &...
         pha                   ;save
         cmp !#lbamsw32        ;maximum LBA > 21 bits?
         bcc .0000010          ;no
;
         shorta                ;yes
         ldy #o_sdtype         ;point at device type
         lda (scsididx),y      ;get device type &...
         ora #c94irqsf         ;set extended...
         sta (scsididx),y      ;LBA bit
         longa
;
.0000010 clc
         ldy #o_sdcap          ;point at capacity LSW
         lda scmiswrk+rc_lbalo ;maximum LBA LSW
         xba                   ;reverse endianess
         adc !#s_byte          ;actual capacity LSW
         sta (scsididx),y      ;save capacity LSW
         incy s_word
         pla                   ;recover maximum LBA MSW
         adc !#0               ;actual capacity MSW
         sta (scsididx),y      ;save capacity LBA MSW
         ldy #o_sdbsiz         ;point at block size LSW
         lda scmiswrk+rc_bszlo ;block size LSW
         xba                   ;reverse endianess
         sta (scsididx),y      ;save block size LSW...
;
;	
;	The block size MSW is not saved, as it isn't possible
;	to read or write a block size greater than 64 KB.  In
;	most cases, the block size will be 512 or 2048.
;	
;
         shortr
         rts
;
	.end
