;================================================================================
;
;enumptst: SCSI ENUMERATION PRESENCE TEST
;
;	
;	Preparatory Ops : SCSIEDEV = device ID
;
;	Register Returns: .A: see notes
;	                  .B: used
;	                  .X: used
;	                  .Y: used
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           |||||||+> see notes
;	           ||||||+> see notes
;	           |||||+> 0
;	           ||||+> 0
;	           |||+> 1
;	           ||+> 1
;	           |+> 0
;	           +> see notes
;
;	Notes: 1) Status is flagged as follows:
;
;	          .C  .Z  condition
;	          ------------------------------------
;	           0   0  device present & ready
;	           0   1  check condition
;	           1   0  driver exception, code in .A
;	           1   1  device not present
;	          ------------------------------------
;	
;
enumptst lda scsiedev          ;current device
         jsr inquiry           ;request device data
         bcc .0000020          ;gotten
;
         cmp #ed_devnp         ;device not present?
         beq .0000020          ;no
;
         cmp #ed_check         ;check condition?
         beq .0000010          ;yes, not an error
;
         sep #sr_car           ;flag a...
         rep #sr_zer           ;driver exception
         rts
;
.0000010 rep #sr_car           ;device present/check condition
;
.0000020 rts
;
	.end
