;===============================================================================
;
;scsienum: ENUMERATE SCSI DEVICES
;
scsienum shortr
         ldx #s_sd_tab-1       ;device table size
;
.0000010 stz scdevtab,x        ;clear...
         dex                   ;device...
         bpl .0000010          ;table
;
         lda #rowenum
         sta scsierow          ;set display starting row
         lda #0                ;starting SCSI ID
;
.0000020 sta scsiedev          ;set current device
         cmp #scsiid94         ;controller ID?
         beq .0000130          ;yes, skip it
;
;
;	probe for device...
;
         jsr scsiddid          ;display current device
         lda scsiedev
         jsr testrdy           ;dummy test...
;
;	
;	The dummy test should clear any power-on "unit attention"
;	status in the device, if present.
;	
;
         lda scsiedev          ;current device
         jsr reqsens           ;request sense data
         bcs .0000110          ;device not present
;
         jsr enumptst          ;request inquiry data
         bcc .0000030          ;got it
;
         beq .0000110          ;device not present
;
         rts                   ;gross driver error  abort
;
.0000030 jsr ssdstatf          ;set device status fields
         jsr scsidpiq          ;display inquiry data
;
;
;	attempt to bring device on line...
;
         lda #scsitrct         ;load attempts
         sta scsiztmp          ;set counter
;
.0000040 lda scsiedev          ;current device
         jsr startlun          ;spin up disk/load media
         bcc .0000050          ;ready
;
         cmp #ed_check         ;check condition?
         bne .0000070          ;other exception, skip device
;
         dec scsiztmp          ;step count
         beq .0000080          ;done, no medium
;
         lda #0
         xba
         lda #scsitrtd
         jsr utdelay           ;delay &...
         bra .0000040          ;try again
;
;
;	get capacity & block size...
;
.0000050 lda scsiedev
         jsr readcap           ;get capacity
         bcc .0000060          ;got it
;
         cmp #ed_check         ;check condition?
         beq .0000090          ;yes, skip analysis
;
         bra .0000070          ;no, skip this device
;
.0000060 jsr anlyzcap          ;analyze capacity data
         bra .0000090          ;device ready
;
;
;	mark device not present...
;
.0000070 lda (scsididx)        ;device status flag
         and #c94irqsf ^ %11111111
         sta (scsididx)        ;clear present bit
;
;
;	report device status...
;
         pea #sd_offl           ;"Offline"
         bra .0000100          ;device invalid
;
.0000080 pea #sd_nomed         ;"No medium"
         bra .0000100          ;present but not ready
;
.0000090 pea #sd_ready          ;"Ready"
;
.0000100 jsr sprint            ;print status
         inc scsierow          ;bump display row
         bra .0000120
;
.0000110 lda #a_cr             ;move cursor to...
         jsr putcha            ;beginning of row &...
         jsr clearlin          ;clear it
;
.0000120 lda scsiedev          ;current device
;
.0000130 inc                   ;next device
         cmp #n_scsiid         ;tested all of them?
         bcc .0000020          ;no, try next device
;
         tax                   ;last ID checked
;
.0000140 sec                   ;assume no device
         dex                   ;previous device
         bmi .0000150          ;all checked
;
         txa                   ;current device
         jsr sslotptr          ;set slot pointer
         lda (scsididx)        ;test enum flag
         bpl .0000140          ;device not enumerated...
;
;	
;	If the device was enumerated then we fall through
;	with carry cleared to indicate that at least one
;	SCSI device is present.
;	
;
.0000150 rep #sr_neg           ;clear .N
         rts
;
	.end
