;===============================================================================
;
;CONFIGURE SCSI SUBSYSTEM
;
scsiinit shortr                ;8 bit everything
         stz scsihba           ;clear "HBA present" flag
         lda #sccrstc
         sta io_scsi+sr_cmd    ;force controller reset
         .rept 10              ;wait for recovery
             wai
         .endr
         lda #sccnop           ;write NOP to clear...
         sta io_scsi+sr_cmd    ;the command register
         lda #sccnopd          ;write DMA NOP to test...
         sta io_scsi+sr_cmd    ;command register retention
         wai
         cmp io_scsi+sr_cmd    ;command retained?
         bne .0000040          ;no, abort...
;
;	
;	The above test is sufficient to determine if the HBA is present.
;	
;
         ldx #fd_srsi-1        ;FIFO depth
;
.0000010 lda scfifotd,x        ;stuff FIFO with...
         sta io_scsi+sr_fifo   ;test data
         dex
         bpl .0000010          ;next
;
         lda io_scsi+sr_isrf   ;get controller status
         and #c94isfct         ;extract FIFO count
         cmp #fd_srsi          ;compare to expected count
         bne .0000050          ;error, abort
;
         ldx #fd_srsi-1
;
.0000020 lda io_scsi+sr_fifo   ;read from FIFO &...
         cmp scfifotd,x        ;compare to test value
         bne .0000050          ;error, abort
;
         dex
         bne .0000020          ;next
;
         lda #sccfifc          ;clear test data...
         sta io_scsi+sr_cmd    ;from FIFO
         ldy #s_s94tab-s_word  ;table size minus a word
;
.0000030 longa
         lda s94tab,y          ;get register/parm
         shorta
         tax                   ;register
         xba                   ;expose parameter &...
         sta io_scsi,x         ;write to register
         decy s_word
         bpl .0000030          ;next register
;
         sec
         ror scsihba           ;HBA is present
         jmp scsibrst          ;reset SCSI bus & return
;
.0000040 lda #ed_cntrl         ;not present/unresponsive
         .byte bitabs
;
.0000050 lda #ed_fifo          ;FIFO retention
         sec
         rts
;
	.end