;================================================================================
;
;ssdstatf: SET SCSI DEVICE STATUS FIELDS
;
;	
;	Preparatory Ops : device data in SCSI work area
;	                  SCSIDIDX = device table slot
;
;	Register Returns: .A: used
;	                  .B: entry value
;	                  .X: entry value
;	                  .Y: used
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           ++++++++> undefined
;	
;
ssdstatf lda scmiswrk+iq_ansiv ;version field
         and #iqvendr          ;isolate ANSI type bits
         ora #c94irqsf         ;mark device present
         sta (scsididx)        ;set device flag in table
         lda scmiswrk+iq_flags
         and #iqsynctr         ;sync data transfer flag
         asl
         asl
         ora (scsididx)        ;add flag to ANSI type &...
         sta (scsididx)        ;store
         ldy #o_sdtype         ;type table slot offset
         lda scmiswrk          ;device type field
         sta (scsididx),y      ;store device type
         rts
;
	.end
