;================================================================================
;
;SCSI CONTROLLER INITIALIZATION DATA
;
;	
;	These tables consist of register initialization bit patterns & corresp-
;	onding register offsets, & are read backwards,  requiring that register
;	values be in the reverse order in which they should be set up.
;
;	Caution should be exercised in changing the order of these  tables,  as
;	doing so may cause the device to malfunction.  Code at the end of these
;	tables will emit an error message if there is a  mismatch  between  the
;	number of registers & number of parameters.
;	
;
;
;	registers...
;
scsireg  .byte sr_cr3          ;control #3
         .byte sr_cr2          ;control #2
         .byte sr_cr1          ;control #1
         .byte sr_tout         ;selection timeout period
         .byte sr_clkf         ;clock factor
         .byte sr_ftm          ;forced test modes
n_srreg  =*-scsireg
;
;
;	parameters...
;
scsiprm  .byte sr_cr3p         ;control #3
         .byte sr_cr2p         ;control #2
         .byte sr_cr1p         ;control #1
         .byte sr_toutp        ;selection timeout period
         .byte sr_clkfp        ;clock factor
         .byte sr_ftmp         ;forced test modes
;
	.if *-scsiprm  < n_srreg
		.error "!!! SCSIPRM & SCSIREG don't match !!!"
	.endif
	.if *-scsiprm  > n_srreg
		.error "!!! SCSIPRM & SCSIREG don't match !!!"
	.endif
;
;===============================================================================
;
;SCSI CONTROLLER FIFO TEST DATA
;
scfifotd .byte $ff,$00,$12,$21,$24,$42,$36,$63
         .byte $48,$84,$5a,$a5,$6c,$c6,$7e,$e7
;
	.end
